This subsytem provides a suite of utilities for looking up users and groups in the current domain.

See some common use cases in the developer guide.

## Index

### Enumerations

- DomainUserType

### Classes

- ConvergenceSession
- DomainUser
- DomainUserId
- IdentityService
- UserGroup

### Type aliases

- DomainUserIdentifier
- UserField

### Interfaces

- UserQuery

## Type aliases

### DomainUserIdentifier

DomainUserIdentifier: string | DomainUserId

A username or DomainUserId.

### UserField

UserField: "username" | "email" | "firstName" | "lastName" | "displayName"

The fields of a user that are available to be queried on. See search